/*****************************************************************************
 *
 * File: PADIM_Standard.h
 * Version: 1.0.0
 * Date: 10/11/22
 *
 *****************************************************************************
 * Copyright (c) 2018-2022, FieldComm Group, All Rights Reserved
 *****************************************************************************
 *
 * Description: Standard definitions for PA-DIM Mapping needed in all devices
 *
 *
 *****************************************************************************
 */

/**** Start Standard definition *****/

SEMANTIC_MAP Namespace_Map
{
    "EDD//AliasCollection/Namespaces" : Namespace_Collection
}
 
COLLECTION OF VARIABLE Namespace_Collection
{
    LABEL "OPC-UA Namespaces";
    MEMBERS
    {   
       __UA_,		UA_Namespace;
       __DI_,		DI_Namespace;
       __PADIM_,	PADIM_Namespace;
       UNECE,		UNECE_Namespace;
    }
}

VARIABLE UA_Namespace
{
    LABEL   "UA namespace";
    CLASS   LOCAL;
    HANDLING READ;
    TYPE    ASCII(100);
    DEFAULT_VALUE   "http://opcfoundation.org/UA/";
}

VARIABLE DI_Namespace
{
    LABEL   "DI namespace";
    CLASS   LOCAL;
    HANDLING READ;
    TYPE    ASCII(100);
    DEFAULT_VALUE   "http://opcfoundation.org/UA/DI/";
}
  
VARIABLE PADIM_Namespace
{
    LABEL   "PADIM namespace";
    CLASS   LOCAL;
    HANDLING READ;
    TYPE    ASCII(100);
    DEFAULT_VALUE   "http://opcfoundation.org/UA/PADIM/";
}

VARIABLE UNECE_Namespace
{
    LABEL   "UNECE namespace";
    CLASS   LOCAL;
    HANDLING READ;
    TYPE    ASCII(100);
    DEFAULT_VALUE   "http://www.opcfoundation.org/UA/units/un/cefact/";
}


/**** End Standard definition *****/




